Subject: Re: What's cooking in git.git (Oct 2024, #11; Fri, 25)

From: Taylor Blau <[email-masked]>
Date: Mon, 28 Oct 2024 13:37:59 -0400

On Mon, Oct 28, 2024 at 06:43:16AM +0100, Patrick Steinhardt wrote:
> On Fri, Oct 25, 2024 at 03:40:58PM -0400, Taylor Blau wrote:
> > * ps/mingw-rename (2024-10-24) 3 commits
> >  - compat/mingw: support POSIX semantics for atomic renames
> >  - compat/mingw: allow deletion of most opened files
> >  - compat/mingw: share file handles created via `CreateFileW()`
> >
> >  Teaches the MinGW compatibility layer to support POSIX semantics for
> >  atomic renames when other process(es) have a file opened at the
> >  destination path.
> >
> >  Will merge to 'next'?
> >  source: <[email-masked]>
>
> I'd wait a couple of days for reviews on v3, which I have sent out
> yesterday.

Yeah, this one will cook in 'jch' for a little while longer until we
hear from Johannes Sixt or others on the new round.

> > * ps/leakfixes-part-9 (2024-10-21) 22 commits
> >  - list-objects-filter-options: work around reported leak on error
> >  - builtin/merge: release outbut buffer after performing merge
> >  - dir: fix leak when parsing "status.showUntrackedFiles"
> >  - t/helper: fix leaking buffer in "dump-untracked-cache"
> >  - t/helper: stop re-initialization of `the_repository`
> >  - sparse-index: correctly free EWAH contents
> >  - dir: release untracked cache data
> >  - combine-diff: fix leaking lost lines
> >  - builtin/tag: fix leaking key ID on failure to sign
> >  - transport-helper: fix leaking import/export marks
> >  - builtin/commit: fix leaking cleanup config
> >  - trailer: fix leaking strbufs when formatting trailers
> >  - trailer: fix leaking trailer values
> >  - builtin/commit: fix leaking change data contents
> >  - upload-pack: fix leaking URI protocols
> >  - pretty: clear signature check
> >  - diff-lib: fix leaking diffopts in `do_diff_cache()`
> >  - revision: fix leaking bloom filters
> >  - builtin/grep: fix leak with `--max-count=0`
> >  - grep: fix leak in `grep_splice_or()`
> >  - t/helper: fix leaks in "reach" test tool
> >  - builtin/ls-remote: plug leaking server options
> >
> >  More leakfixes.
> >
> >  Needs review.
> >  source: <[email-masked]>
>
> I'd be happy to get some eyes on this series. It's the second-last step
> to make Git leak-free, so there's only going to be one more such tedious
> series. And the last step is already waiting to be sent out :)

That's very exciting. I'll put it on my list (though this week I am
working in San Francisco and have a few other things going on so I have
less review time than usual).

> > * ps/platform-compat-fixes (2024-10-16) 10 commits
> >  (merged to 'next' on 2024-10-22 at 46b99d8301)
> >  + http: fix build error on FreeBSD
> >  + builtin/credential-cache: fix missing parameter for stub function
> >  + t7300: work around platform-specific behaviour with long paths on MinGW
> >  + t5500, t5601: skip tests which exercise paths with '[::1]' on Cygwin
> >  + t3404: work around platform-specific behaviour on macOS 10.15
> >  + t1401: make invocation of tar(1) work with Win32-provided one
> >  + t/lib-gpg: fix setup of GNUPGHOME in MinGW
> >  + t/lib-gitweb: test against the build version of gitweb
> >  + t/test-lib: wire up NO_ICONV prerequisite
> >  + t/test-lib: fix quoting of TEST_RESULTS_SAN_FILE
> >  (this branch is used by ps/build.)
> >
> >  Various platform compatibility fixes split out of the larger effort
> >  to use Meson as the primary build tool.
> >
> >  Will merge to 'master'.
> >  source: <[email-masked]>
>
> I've sent a fixup commit for t6006, which got subtly broken [1]. So
> let's first add that fixup and then continue merging down.
>
> [1]: <[email-masked]>

OK, thanks.

> > * ps/upgrade-clar (2024-10-21) 5 commits
> >  - cmake: set up proper dependencies for generated clar headers
> >  - cmake: fix compilation of clar-based unit tests
> >  - Makefile: extract script to generate clar declarations
> >  - Makefile: adjust sed command for generating "clar-decls.h"
> >  - t/unit-tests: update clar to 206accb
> >  (this branch is used by ps/build.)
> >
> >  Buildfix and upgrade of Clar to a newer version.
> >
> >  Needs review.
> >  source: <[email-masked]>
>
> Bagas has tested this series on the previously-broken platform [2] and I've
> got a review from Karthik [3]. So I'd think that it's mostly ready to go by
> now.
>
> [2]: <[email-masked]>
> [3]: <CAOLa=[email-masked]>

Great, yeah, let's start merging this one down then.

Thanks,
Taylor